mscorlib 4.0.0.0 System.Object System.IProgress<T> To be added.

Any handler provided to the constructor or event handlers registered with the event are invoked through a instance captured when the instance is constructed. If there is no current at the time of construction, the callbacks will be invoked on the .

For more information and a code example, see the article Async in 4.5: Enabling Progress and Cancellation in Async APIs in the .NET Framework blog.

Provides an that invokes callbacks for each reported progress value.

- Constructor
  4.0.0.0
  To be added.

  Initializes the object.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Event
  4.0.0.0
  System.EventHandler<T>

  Handlers registered with this event will be invoked on the captured when the instance was constructed.

  Raised for each reported progress value.

- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.